Bug 986387 - unable to create pubnub app
unable to create pubnub app
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 12:11 EDT by Lokesh Mandvekar
Modified: 2015-05-14 19:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 16:40:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-07-19 12:11:12 EDT
Description of problem:

I'm trying to create a PubNub app using the quickstart here: https://github.com/pubnub/pubnub-openshift-quickstart

While this works fine on OpenShift Online, it doesn't work on Origin


Version-Release number of selected component (if applicable): 


How reproducible: Always


Steps to Reproduce:
1. rhc app create myapp python-2.7 --from-code https://github.com/pubnub/pubnub-openshift-quickstart


Actual results:

Processing dependencies for PubNubPython27==1.0
Searching for gevent
Reading http://pypi.python.org/simple/gevent/
Best match: gevent 0.13.8
Downloading https://pypi.python.org/packages/source/g/gevent/gevent-0.13.8.tar.gz#md5=ca9dcaa7880762d8ebbc266b11252960
Processing gevent-0.13.8.tar.gz
Running gevent-0.13.8/setup.py -q bdist_egg --dist-dir /tmp/easy_install-lOBkCu/gevent-0.13.8/egg-dist-tmp-NWWZte
In file included from gevent/core.c:253:0:
gevent/libevent.h:9:19: fatal error: event.h: No such file or directory
 #include "event.h"
                   ^
compilation terminated.
error: Setup script exited with error: command 'gcc' failed with exit status 1
An error occurred executing 'gear postreceive' (exit code: 1)
Error message: Failed to execute: 'control build' for /var/lib/openshift/51e9649b97b27e2880000020/python

For more details about the problem, try running the command again with the '--trace' option.

Note You need to log in before you can comment on or make changes to this bug.